<?php
/*
Widget Name: Prebuild Layout select
Description: 
*/

class Layout_build extends SiteOrigin_Widget {

	function get_template_name($instance) {
    return 'widget-template';
}

function get_template_dir($instance) {
    return 'templates';
}

function __construct() {
   
    //Call the parent constructor with the required arguments.
    parent::__construct(
        // The unique id for your widget.
        'layout-build',

        // The name of the widget for display purposes.
        'Prebuild Layout select',

        // The $widget_options array, which is passed through to WP_Widget.
        // It has a couple of extras like the optional help URL, which should link to your sites help or support page.
        array(
			'panels_groups' => array('nh')
        ),

        //The $control_options array, which is passed through to WP_Widget
        array(
        ),

        //The $form_options array, which describes the form fields used to configure SiteOrigin widgets. We'll explain these in more detail later.
		
        array(
				'cusom_class' => array(
					'type' => 'text',
					'label' => 'Custom class (do not delete)',
					'default' => ''
				),
				'some_posts' => array(
					'type' => 'posts',
					'label' => __('Select Layout you want to display', 'widget-form-fields-text-domain'),
				)
			),

        //The $base_folder path string.
        plugin_dir_path(__FILE__)
    );
}
}

siteorigin_widget_register('layout-build', __FILE__, 'Layout_build');